# Uses of Interface
java.awt.image.ImageProducer

Packages that use ImageProducer
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.
java.awt.image.renderable
Provides classes and interfaces for producing rendering-independent images.

## Uses of ImageProducer in java.awt

Methods in java.awt that return ImageProducer
Modifier and Type
Method
Description
`abstract ImageProducer`
Image.`getSource()`
Gets the object that produces the pixels for the image.
Methods in java.awt with parameters of type ImageProducer
Modifier and Type
Method
Description
`Image`
Component.`createImage(ImageProducer producer)`
Creates an image from the specified image producer.
`abstract Image`
Toolkit.`createImage(ImageProducer producer)`
Creates an image with the specified image producer.

## Uses of ImageProducer in java.awt.image

Classes in java.awt.image that implement ImageProducer
Modifier and Type
Class
Description
`class`
`FilteredImageSource`
This class is an implementation of the ImageProducer interface which takes an existing image and a filter object and uses them to produce image data for a new filtered version of the original image.
`class`
`MemoryImageSource`
This class is an implementation of the ImageProducer interface which uses an array to produce pixel values for an Image.
Methods in java.awt.image that return ImageProducer
Modifier and Type
Method
Description
`ImageProducer`
AbstractMultiResolutionImage.`getSource()`
This method simply delegates to the same method on the base image and it is equivalent to: `getBaseImage().getSource()`.
`ImageProducer`
BufferedImage.`getSource()`
Returns the object that produces the pixels for the image.
`ImageProducer`
VolatileImage.`getSource()`
This returns an ImageProducer for this VolatileImage.
Methods in java.awt.image with parameters of type ImageProducer
Modifier and Type
Method
Description
`void`
ImageFilter.`resendTopDownLeftRight(ImageProducer ip)`
Responds to a request for a TopDownLeftRight (TDLR) ordered resend of the pixel data from an `ImageConsumer`.
Constructors in java.awt.image with parameters of type ImageProducer
Modifier
Constructor
Description
``
`FilteredImageSource(ImageProducer orig, ImageFilter imgf)`
Constructs an ImageProducer object from an existing ImageProducer and a filter object.
``
`PixelGrabber(ImageProducer ip, int x, int y, int w, int h, int[] pix, int off, int scansize)`
Create a PixelGrabber object to grab the (x, y, w, h) rectangular section of pixels from the image produced by the specified ImageProducer into the given array.

## Uses of ImageProducer in java.awt.image.renderable

Classes in java.awt.image.renderable that implement ImageProducer
Modifier and Type
Class
Description
`class`
`RenderableImageProducer`
An adapter class that implements ImageProducer to allow the asynchronous production of a RenderableImage.